/*
 * ----------------------------------------------------------------
 * Night Light Asynchrounous DNS Resolver
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2003 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (06.01.2001)
 *
 */

#ifdef ARES_PARSE_H
#warning "ares_parse.h already included."
#else
#define ARES_PARSE_H

/* FUNCTION PROTOTYPES - JONAS (05.07.2000) */

void ares_parse(const unsigned char *BufferPT, const signed long int BufferLen, struct Ares_Server_Struct *Ares_Server, const unsigned short int TCP);
signed short int ares_parse_a(struct Ares_Query_Struct *Query, const unsigned char *BufferPT, const unsigned long int BufferLen, unsigned short int ANCount);
signed short int ares_parse_ptr(struct Ares_Query_Struct *Ares_Query, const unsigned char *BufferPT, const unsigned long int BufferLen, unsigned short int ANCount);
signed short int ares_parse_nmexp(const unsigned char *EncodedPT, const unsigned char *BufferPT, const unsigned long int BufferLen, char **DecodedPT, unsigned long int *EncodedLenPT);
signed short int ares_parse_nmlen(const unsigned char *EncodedPT, const unsigned char *BufferPT, const signed long int Len);

#endif
