/*
 * ----------------------------------------------------------------
 * Night Light Asynchrounous DNS Resolver
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2003 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (06.01.2001)
 *
 */

#ifdef ARES_UDP_H
#warning "ares_udp.h already included."
#else
#define ARES_UDP_H

/* FUNCTION PROTOTYPES - JONAS (06.03.2001) */

void ares_udp_connect(struct Ares_Server_Struct *Server);
void ares_udp_disconnect(struct Ares_Server_Struct *Server, const char *const LinePT, ...) __attribute__ ((format (printf, 2, 3)));
void ares_udp_read(struct Ares_Server_Struct *Server);
void ares_udp_write(struct Ares_Server_Struct *Server);

#endif
