/*
 * ----------------------------------------------------------------
 * Night Light Includes (includes.h)
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2003 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (12.08.2001)
 *
 */

#ifdef INCLUDES_H
#warning "includes.h already included."
#else
#define INCLUDES_H

#include "setup.h"
#include "config.h"

#include "headers.h"

#include "nlstddef.h"
#include "nlstrdef.h"
#include "nlprgdef.h"

#include "syscalls.h"
#include "strcalls.h"
#if MEMDEBUG
  #include "memcalls.h"
#endif
#if FDDEBUG
  #include "fdcalls.h"
#endif

#include "bitmasks.h"


#endif
