/*
 * ----------------------------------------------------------------
 * Night Light Memory Allocation List Functions Header
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2003 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (21.09.2001)
 *
 */

#ifdef MEMLIST_H
#warning "memlist.h already included."
#else
#define MEMLIST_H

#define MEMPTRZSTRLEN		10
#define MEMBYTESTRLEN		4
#define MEMFILESTRLEN		16
#define MEMLINESTRLEN		4
#define MEMTIMESTRLEN		10

/* FUNCTION PROTOTYPES - JONAS (21.09.2001) */

void mem_print(void);
void mem_leaks(void);

#endif
